E-MailRelay

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
G::PamImp Class Reference

A pimple-pattern implementation class for G::Pam. More...

## Public Types
using | Handle = pam_handle_t *
using | Conversation = pam_conv

## Public Member Functions
| PamImp (Pam &pam, const std::string &app, const std::string &user, bool silent)
Handle | hpam () const
bool | silent () const
bool | authenticate (bool)
void | check (const std::string &, int) const
void | setCredentials (int)
void | checkAccount (bool)
void | openSession ()
void | closeSession ()
std::string | name () const
| PamImp (const PamImp &)=delete
| PamImp (PamImp &&)=delete
PamImp & | operator= (const PamImp &)=delete
PamImp & | operator= (PamImp &&)=delete

## Static Public Member Functions
static bool | success (int)

## Public Attributes
Pam & | m_pam
int | m_magic
int | m_rc
Handle | m_hpam
Conversation | m_conv
bool | m_silent

## Detailed Description

A pimple-pattern implementation class for G::Pam.

Definition at line 53 of file gpam_linux.cpp.

## Member Typedef Documentation

## ◆ Conversation

using G::PamImp::Conversation = pam_conv

Definition at line 57 of file gpam_linux.cpp.

## ◆ Handle

using G::PamImp::Handle = pam_handle_t *

Definition at line 56 of file gpam_linux.cpp.

## Constructor & Destructor Documentation

## ◆ PamImp()

G::PamImp::PamImp | ( | G::Pam & | pam,
|  | const std::string & | app,
|  | const std::string & | user,
|  | bool | silent
| ) |  |

Definition at line 101 of file gpam_linux.cpp.

## ◆ ~PamImp()

G::PamImp::~PamImp | ( |  | ) |

Definition at line 130 of file gpam_linux.cpp.

## Member Function Documentation

## ◆ authenticate()

bool G::PamImp::authenticate | ( | bool | require_token | ) |

Definition at line 163 of file gpam_linux.cpp.

## ◆ check()

void G::PamImp::check | ( | const std::string & | op,
|  | int | rc
| ) |  | const

Definition at line 345 of file gpam_linux.cpp.

## ◆ checkAccount()

void G::PamImp::checkAccount | ( | bool | require_token | ) |

Definition at line 196 of file gpam_linux.cpp.

## ◆ closeSession()

void G::PamImp::closeSession | ( |  | ) |

Definition at line 332 of file gpam_linux.cpp.

## ◆ hpam()

G::PamImp::Handle G::PamImp::hpam | ( |  | ) | const

Definition at line 143 of file gpam_linux.cpp.

## ◆ name()

std::string G::PamImp::name | ( |  | ) | const

Definition at line 178 of file gpam_linux.cpp.

## ◆ openSession()

void G::PamImp::openSession | ( |  | ) |

Definition at line 324 of file gpam_linux.cpp.

## ◆ setCredentials()

void G::PamImp::setCredentials | ( | int | flag | ) |

Definition at line 187 of file gpam_linux.cpp.

## ◆ silent()

bool G::PamImp::silent | ( |  | ) | const

Definition at line 148 of file gpam_linux.cpp.

## ◆ success()

bool G::PamImp::success | ( | int | rc | ) |
| static

Definition at line 340 of file gpam_linux.cpp.

## Member Data Documentation

## ◆ m_conv

Conversation G::PamImp::m_conv

Definition at line 82 of file gpam_linux.cpp.

## ◆ m_hpam

Handle G::PamImp::m_hpam

Definition at line 81 of file gpam_linux.cpp.

## ◆ m_magic

int G::PamImp::m_magic

Definition at line 79 of file gpam_linux.cpp.

## ◆ m_pam

Pam& G::PamImp::m_pam

Definition at line 78 of file gpam_linux.cpp.

## ◆ m_rc

int G::PamImp::m_rc
| mutable

Definition at line 80 of file gpam_linux.cpp.

## ◆ m_silent

bool G::PamImp::m_silent

Definition at line 83 of file gpam_linux.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gpam_linux.cpp